# Hidden Gems

There are many tools created by various ecosystem contributors. These tools can be incredibly useful in different situations.

If you have a tool that you think could be added here, let us know on [GitHub](https://github.com/SecretFoundation/docs/issues) or [Discord](https://scrt.network/discord)!

* <https://scrthost.xiphiar.com/txdecrypter/>
* <https://snip20history.trivium.network/>
* <https://permits.scrtlabs.com/>
* <https://bech32.scrtlabs.com>
* <https://scrthost.xiphiar.com/>
* Collection of awesome things related to [CosmWasm smart contracts](https://www.cosmwasm.com/).
* <https://github.com/scrtlabs/CosmWasm-Simulator> - Simulator for CosmWasm transactions. Helpful when trying to debug on-chain behavior
* [Smart Contract Interface](https://www.btn.group/secret_network/smart_contract_interface)
  * Browser interface for smart contracts by [btn.group](https://www.btn.group)
* [Panic](https://github.com/mohammedpatla/panic_cosmos)
  * Monitor a validator on the Secret Network with an active telegram bot, email or phone call through Twilio
* [Secret Contract code verifier](https://github.com/digiline-io/secret-contract-verifier)
  * Tool to verify the WASM public binary of any contract against its source code. Make sure live contracts do what the Git repo says they do.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/development/example-contracts/tools-and-libraries/smart-contract-tools-utils/hidden-gems.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
